/* =============================================================================
 *
 *   Description: This is the Interrupt Service Routine called EVT_IVG9_Entry
 *
 * -----------------------------------------------------------------------------
 *  Comments: 
 *
 * ===========================================================================*/

#include "VDK.h"
#include <sys/exception.h>
#include <cdefBF533.h>
#include <VDK_Public.h>

/* define VDK_REENTRANT_ISR macro if nested interrupts are allowed. This 
   definition can be done in a global project option if all interrupts allow
   nesting or in a particular interrupt file if there are any interrupts
   in the application that don't allow nesting */ 

#ifdef VDK_REENTRANT_ISR
EX_REENTRANT_HANDLER(EVT_IVG9_Entry)
#else
EX_INTERRUPT_HANDLER(EVT_IVG9_Entry) 
#endif
{
/* Insert your ISR code here */
// (JWS) Changed from PF10 to PF8
//	*pFIO_FLAG_C &= 0x0400;		// Clear Interrupt Request ISR For SW6 (PF10)
	*pFIO_FLAG_C &= 0x0100;		// Clear Interrupt Request ISR For SW6 (PF8)
	VDK_C_ISR_PostSemaphore(kPushButton);
	
}

/* ========================================================================== */
